# ldacBT

AOSP libldac dispatcher

https://android.googlesource.com/platform/external/libldac

### Build
```bash
git clone https://github.com/EHfive/ldacBT.git
cd ldacBT
git submodule update --init
```

----------

```bash
mkdir build && cd build
cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DINSTALL_LIBDIR=/usr/lib \
    -DLDAC_SOFT_FLOAT=OFF \
    ../
make DESTDIR=$DEST_DIR install
```

**Tree**

```
DESTDIR
└── usr
    ├── include
    │   └── ldac
    │       ├── ldacBT_abr.h
    │       └── ldacBT.h
    └── lib
        ├── libldacBT_abr.so -> libldacBT_abr.so.2
        ├── libldacBT_abr.so.2 -> libldacBT_abr.so.2.0.2.2
        ├── libldacBT_abr.so.2.0.2.2
        ├── libldacBT_enc.so -> libldacBT_enc.so.2
        ├── libldacBT_enc.so.2 -> libldacBT_enc.so.2.0.2.2
        ├── libldacBT_enc.so.2.0.2.2
        └── pkgconfig
            ├── ldacBT-abr.pc
            └── ldacBT-enc.pc
```

### Copyright

#### libldac
```
 Copyright (C) 2013 - 2016 Sony Corporation
 
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
```

#### this repo
```
 Copyright 2018 Huang-Huang Bao <eh5@sokka.cn>

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
```